%define major 1
%define libxfont %mklibname xfont %{major}
%define devxfont %mklibname xfont -d

Name: libxfont
Summary:  X font Library
Version: 1.5.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# submitted upstream as bug #11573
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch
# fix for incomplete prototype in previous patch
Patch4: libxfont-NormalizeRelativePath-prototype.patch

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Provides: %{name} = %{version}
Requires: x11-font-encodings

%description -n %{libxfont}
X font Library

%files -n %{libxfont}
%{_libdir}/libXfont.so.%{major}
%{_libdir}/libXfont.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxfont}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfont} = %{version}-%{release}
Provides: libxfont-devel = %{version}-%{release}
Obsoletes: %{_lib}xfont1-devel < 1.4.6-2
Obsoletes: %{_lib}xfont1-static-devel < 1.4.6-2

%description -n %{devxfont}
Development files for %{name}

%files -n %{devxfont}
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
	--with-encodingsdir=%{_datadir}/fonts/encodings \
	--with-bzip2 \
	--disable-fc
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.5.2-1.mga6
+ Revision: 1051256
- 1.5.2

* Thu May 19 2016 shlomif <shlomif> 1.5.1-5.mga6
+ Revision: 1016894
- Revert previous commit w visibility=hidden (fix for MGA#18487).

* Wed May 18 2016 tv <tv> 1.5.1-4.mga6
+ Revision: 1016738
- patch 5: Use -fvisibility=hidden if available

* Fri Feb 12 2016 umeabot <umeabot> 1.5.1-3.mga6
+ Revision: 956001
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.5.1-2.mga6
+ Revision: 871030
- patch4: fix build

* Tue Mar 17 2015 luigiwalser <luigiwalser> 1.5.1-1.mga5
+ Revision: 818726
- 1.5.1 (fixes CVE-2015-180[2-4])

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 741048
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 681880
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 tv <tv> 1.5.0-1.mga5
+ Revision: 656013
- new release

* Tue Jul 08 2014 tv <tv> 1.4.99.901-1.mga5
+ Revision: 650620
- drop merged patch
- new release

* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.4.8-2.mga5
+ Revision: 639149
- disable xfs support

* Mon Jun 23 2014 luigiwalser <luigiwalser> 1.4.8-1.mga5
+ Revision: 639109
- add patch from omdv to try to fix build
- 1.4.8

* Thu Jan 09 2014 tv <tv> 1.4.7-1.mga4
+ Revision: 565775
- new security release (mga#12237)

* Sat Oct 19 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 532719
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.4.6-2.mga4
+ Revision: 469466
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Wed Jul 24 2013 luigiwalser <luigiwalser> 1.4.6-1.mga4
+ Revision: 457737
- 1.4.6

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.5-3.mga3
+ Revision: 397157
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-2.mga3
+ Revision: 358575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.4.5-1.mga2
+ Revision: 218463
- new release

* Thu Dec 22 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 186034
- drop .la file

  + tv <tv>
    - new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.4.3-1.mga1
+ Revision: 5612
- imported package libxfont

